com.sun.jna.platform.win32

## Class Shell32Util

- java.lang.Object
- - com.sun.jna.platform.win32.Shell32Util

-     public abstract class Shell32Util
      extends java.lang.Object

  Shell32 Utility API.
  Author:
    dblock[at]dblock.org, markus[at]headcrashing[dot]eu

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Shell32Util()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getFolderPath(int nFolder)` Get a special folder path.
    `static java.lang.String` | `getFolderPath(WinDef.HWND hwnd, int nFolder, WinDef.DWORD dwFlags)` Get a special folder path.
    `static java.lang.String` | `getSpecialFolderPath(int csidl, boolean create)` Retrieves the path of a special folder, identified by its CSIDL.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Shell32Util

          public Shell32Util()

  - ### Method Detail

    - #### getFolderPath

          public static java.lang.String getFolderPath(WinDef.HWND hwnd,
                                       int nFolder,
                                       WinDef.DWORD dwFlags)

      Get a special folder path.
      Parameters:
        `hwnd` - Parent window.
        `nFolder` - Folder CSLID.
        `dwFlags` - Flags.
      Returns:
        Special folder.

    - #### getFolderPath

          public static java.lang.String getFolderPath(int nFolder)

      Get a special folder path.
      Parameters:
        `nFolder` - Folder CSLID.
      Returns:
        Special folder path.

    - #### getSpecialFolderPath

          public static final java.lang.String getSpecialFolderPath(int csidl,
                                              boolean create)

      Retrieves the path of a special folder, identified by its CSIDL.
      Parameters:
        `csidl` - A CSIDL that identifies the folder of interest. If a virtual folder is specified, this function will fail.
        `create` - Indicates whether the folder should be created if it does not already exist. If this value is nonzero, the folder is created. If this value is zero, the folder is not created.
      Returns:
        The drive and path of the specified folder

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.